Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Images

Create an image variation

POST /openai/v1/images/variations Obsoleto

Creates an image variation from the supplied request.

Cuerpo de la solicitud

The multipart request body.

Content-Type: multipart/form-data
image OpenAI.CreateImageVariationRequest requerido Obsoleto

The image to use as the basis for the variation(s). Must be a valid PNG file, less than 4MB, and square.

model string | enum | null Obsoleto

The legacy model used by the retired image variations endpoint. This endpoint no longer accepts requests.

Cualquiera de las siguientes:
string Obsoleto
enum Obsoleto
dall-e-2
n integer | null Obsoleto

The number of images to generate. Must be between 1 and 10.

response_format enum Obsoleto

The format in which the generated images are returned. Must be one of url or b64_json. URLs are only valid for 60 minutes after the image has been generated.

urlb64_json
size enum Obsoleto

The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024.

256x256512x5121024x1024
user string Obsoleto

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

Respuestas

The request has succeeded.

Cuerpo

Content-Type: application/json
safety_identifier string | null Obsoleto

The effective safety identifier used for safety monitoring and abuse detection. This is the non-empty safety_identifier from the request, or the deprecated user value when safety_identifier is omitted, null, or empty.

created integer requerido Obsoleto

The Unix timestamp (in seconds) of when the image was created.

data OpenAI.Image[] Obsoleto

The list of generated images.

background enum Obsoleto

The background parameter used for the image generation. Either transparent or opaque.

transparentopaque
output_format enum Obsoleto

The output format of the image generation. Either png, webp, or jpeg.

pngwebpjpeg
size string | enum Obsoleto

The image dimensions as a WIDTHxHEIGHT string, for example 1536x864.

Cualquiera de las siguientes:
string Obsoleto
enum Obsoleto
1024x10241024x15361536x1024
quality enum Obsoleto

The quality of the image generated. One of low, medium, high, xhigh, or max.

lowmediumhighxhighmax
usage OpenAI.ImageGenUsage Obsoleto

For gpt-image-1 only, the token usage information for the image generation.

input_tokens integer requerido Obsoleto
total_tokens integer requerido Obsoleto
output_tokens integer requerido Obsoleto
output_tokens_details OpenAI.ImageGenOutputTokensDetails Obsoleto

The output token details for the image generation.

image_tokens integer requerido Obsoleto
text_tokens integer requerido Obsoleto
input_tokens_details OpenAI.ImageGenInputUsageDetails requerido Obsoleto

The input tokens detailed information for the image generation.

text_tokens integer requerido Obsoleto
image_tokens integer requerido Obsoleto

Client error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido Obsoleto
code string | null requerido Obsoleto
message string requerido Obsoleto
param string | null Obsoleto
type string Obsoleto
misalignment OpenAI.MisalignmentErrorDetailsResource Obsoleto
review_target string | null Obsoleto
error_type string | enum Obsoleto
Cualquiera de las siguientes:
string Obsoleto
enum Obsoleto
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Obsoleto

The public explanation for this block.

steer OpenAI._MisalignmentSteer Obsoleto
message string requerido Obsoleto

The public continuation instruction.

details OpenAI.Error[] Obsoleto
additionalInfo object Obsoleto
debugInfo object Obsoleto

Server error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido Obsoleto
code string | null requerido Obsoleto
message string requerido Obsoleto
param string | null Obsoleto
type string Obsoleto
misalignment OpenAI.MisalignmentErrorDetailsResource Obsoleto
review_target string | null Obsoleto
error_type string | enum Obsoleto
Cualquiera de las siguientes:
string Obsoleto
enum Obsoleto
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Obsoleto

The public explanation for this block.

steer OpenAI._MisalignmentSteer Obsoleto
message string requerido Obsoleto

The public continuation instruction.

details OpenAI.Error[] Obsoleto
additionalInfo object Obsoleto
debugInfo object Obsoleto

Solicitar

curl https://api.openai.com/v1/images/variations \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -F image="@otter.png" \
  -F n=2 \
  -F size="1024x1024"
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
images_response = client.images.create_variation(
    image=b"Example data",
)
print(images_response.created)
import fs from "fs";
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const image = await openai.images.createVariation({
    image: fs.createReadStream("otter.png"),
  });

  console.log(image.data);
}
main();
using System;

using OpenAI.Images;

ImageClient client = new(
    model: "dall-e-2",
    apiKey: Environment.GetEnvironmentVariable("OPENAI_API_KEY")
);

GeneratedImage image = client.GenerateImageVariation(imageFilePath: "otter.png");

Console.WriteLine(image.ImageUri);
import fs from 'fs';
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const imagesResponse = await client.images.createVariation({
  image: fs.createReadStream('otter.png'),
});

console.log(imagesResponse.created);
package main

import (
    "bytes"
    "context"
    "fmt"
    "io"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    imagesResponse, err := client.Images.NewVariation(context.TODO(), openai.ImageNewVariationParams{
        Image: io.Reader(bytes.NewBuffer([]byte("Example data"))),
    })
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", imagesResponse.Created)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.images.ImageCreateVariationParams;
import com.openai.models.images.ImagesResponse;
import java.io.ByteArrayInputStream;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        ImageCreateVariationParams params = ImageCreateVariationParams.builder()
            .image(new ByteArrayInputStream("Example data".getBytes()))
            .build();
        ImagesResponse imagesResponse = client.images().createVariation(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

images_response = openai.images.create_variation(image: StringIO.new("Example data"))

puts(images_response)

Respuesta

{
  "created": 1589478378,
  "data": [
    {
      "url": "https://..."
    },
    {
      "url": "https://..."
    }
  ]
}
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026